/*******************************************************************************
 * FoxAIControllerInterface_Idler generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIControllerInterface_Idler extends FoxAIControllerInterface
    native(AI)
    hidecategories(Navigation,Look,Path,Error,Movement,Display,Attachment,Object,Advanced,Physics,Collision);

defaultproperties
{
    DefaultBehavior=FoxAIAction_LookRandom'Default__FoxAIControllerInterface_Idler.Idle'
    begin object name=Commands class=FoxAIAction_Selection
        begin object name=Goto class=FoxAIAction_GoTo
            bCanAbort=false
            AbilityName="GoTo"
        object end
        // Reference: FoxAIAction_GoTo'Default__FoxAIControllerInterface_Idler.Commands.Goto'
        SubActions(0)=Goto
        begin object name=Follow class=FoxAIAction_FollowController
            AbilityName="Follow"
        object end
        // Reference: FoxAIAction_FollowController'Default__FoxAIControllerInterface_Idler.Commands.Follow'
        SubActions(1)=Follow
        begin object name=Flee class=FoxAIAction_Flee
            AbilityName="Flee"
        object end
        // Reference: FoxAIAction_Flee'Default__FoxAIControllerInterface_Idler.Commands.Flee'
        SubActions(2)=Flee
        begin object name=Wander class=FoxAIAction_Wander
            AbilityName="Wander"
        object end
        // Reference: FoxAIAction_Wander'Default__FoxAIControllerInterface_Idler.Commands.Wander'
        SubActions(3)=Wander
        begin object name=Enter class=FoxAIAction_SpecialMove
            SpecialMoveStateName=SpecialMove_EntryAnimation
            AbilityName="Enter"
        object end
        // Reference: FoxAIAction_SpecialMove'Default__FoxAIControllerInterface_Idler.Commands.Enter'
        SubActions(4)=Enter
    object end
    // Reference: FoxAIAction_Selection'Default__FoxAIControllerInterface_Idler.Commands'
    ScriptedBehavior=Commands
}